Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.binary
Class StructParser.ArraySize

    java.lang.Object
      org.monte.media.binary.StructParser.ArraySize

Enclosing class:
  StructParser

    protected static class StructParser.ArraySize

extends java.lang.Object

ArraySize expression.

     ArraySize ::= () | intLiteral ["-" intLiteral]

Field Summary
`java.lang.Object` | `equal`
`static int` | `EQUAL`
`static int` | `LITERAL`
`static int` | `NEGATIVE_VARIABLE`
`static int` | `NOT_EQUAL`
`int` | `offset`
`static int` | `REMAINDER`
`int` | `size`
`int` | `type`
`java.lang.String` | `variable`
`static int` | `VARIABLE`

Constructor Summary
`StructParser.ArraySize(StreamPosTokenizer scanner)`

Method Summary
`int` | `getArraySize(StructParser.Declarations declarations, java.util.Vector result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMAINDER

    public static final int REMAINDER

See Also:
  Constant Field Values

### LITERAL

    public static final int LITERAL

See Also:
  Constant Field Values

### VARIABLE

    public static final int VARIABLE

See Also:
  Constant Field Values

### NEGATIVE_VARIABLE

    public static final int NEGATIVE_VARIABLE

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NOT_EQUAL

    public static final int NOT_EQUAL

See Also:
  Constant Field Values

### type

    public int type

### size

    public int size

### variable

    public java.lang.String variable

### offset

    public int offset

### equal

    public java.lang.Object equal

Constructor Detail

### StructParser.ArraySize

    public StructParser.ArraySize(StreamPosTokenizer scanner)
                           throws java.io.IOException,
                                  ParseException

Throws:
  `java.io.IOException`
  `ParseException`

Method Detail

### getArraySize

    public int getArraySize(StructParser.Declarations declarations,
                            java.util.Vector result)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD